Package com.avaya.clientservices.call.conference

## Enum PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode

- java.lang.Object
- - java.lang.Enum<PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode>
  - - com.avaya.clientservices.call.conference.PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode>`
  Enclosing class:
    PendingParticipantAdmissionCancellationReason

      public static enum PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode
      extends java.lang.Enum<PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode>

  Admission request cancellation codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACCEPTED_BY_ANOTHER_MODERATOR` | Admission request has been accepted by another moderator.
    `CANCELLED` | Admission request has been cancelled by originator.
    `REJECTED_BY_ANOTHER_MODERATOR` | Admission request has been rejected by another moderator.
    `TIMEOUT` | Admission request has been cancelled by timeout.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CANCELLED

          public static final PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode CANCELLED

      Admission request has been cancelled by originator.

    - #### TIMEOUT

          public static final PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode TIMEOUT

      Admission request has been cancelled by timeout.

    - #### ACCEPTED_BY_ANOTHER_MODERATOR

          public static final PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode ACCEPTED_BY_ANOTHER_MODERATOR

      Admission request has been accepted by another moderator.

    - #### REJECTED_BY_ANOTHER_MODERATOR

          public static final PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode REJECTED_BY_ANOTHER_MODERATOR

      Admission request has been rejected by another moderator.

  - ### Method Detail

    - #### values

          public static PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode c : PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PendingParticipantAdmissionCancellationReason.PendingParticipantAdmissionCancellationReasonCode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null